[Kubuntu 9.04] Many items are in English while language is set to Spanish

Bug #355814 reported by Rafael Belmonte on 2009-04-05
92
This bug affects 5 people
Affects Status Importance Assigned to Milestone
kde-l10n-es (Ubuntu)
Critical
Harald Sitter
Jaunty
Critical
Harald Sitter
kde4libs (Ubuntu)
Critical
Jonathan Riddell
Jaunty
Critical
Jonathan Riddell
ubiquity (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned

Bug Description

Kubuntu 9.04 installed from Beta Live CD and updated has got many items in English while the language is set to Spanish in Systemsettings.

$ locale
LANG=es_ES.UTF-8
LANGUAGE=
LC_CTYPE="es_ES.UTF-8"
LC_NUMERIC="es_ES.UTF-8"
LC_TIME="es_ES.UTF-8"
LC_COLLATE="es_ES.UTF-8"
LC_MONETARY="es_ES.UTF-8"
LC_MESSAGES="es_ES.UTF-8"
LC_PAPER="es_ES.UTF-8"
LC_NAME="es_ES.UTF-8"
LC_ADDRESS="es_ES.UTF-8"
LC_TELEPHONE="es_ES.UTF-8"
LC_MEASUREMENT="es_ES.UTF-8"
LC_IDENTIFICATION="es_ES.UTF-8"
LC_ALL=

Screenshots attached .

Revision history for this message
Rafael Belmonte (eaglescreen) wrote :
Revision history for this message
Rafael Belmonte (eaglescreen) wrote :
description: updated
Revision history for this message
Rafael Belmonte (eaglescreen) wrote :

I can observe that package kde-l10n-es is not installed in my system, but Spanish is as an option in Systemsettings->Language & Region, and Spanish (Castilian) appears to be installed in qt-language-selector.

affects: ubuntu → ubiquity (Ubuntu)
Revision history for this message
Rafael Belmonte (eaglescreen) wrote :
Revision history for this message
Rafael Belmonte (eaglescreen) wrote :

After installing kde-l10n-es and reconfiguring the language in systemsettings, the problem persists.

Revision history for this message
Harald Sitter (apachelogger) wrote :

<apachelogger> ./debian/konqueror/usr/share/applications/kde4/konqbrowser.desktop: stripping translations
<JontheEchidna> the -desktop templates are about the most untranslated part of the KDE-rosetta translations
<apachelogger> they are _not_ imported unless vorian fixed the rules files
<apachelogger> when I became inactive our l10n packages were still downloading the wrong SVN branch (i.e. KDE 3)
<JontheEchidna> I thought you fixed that forever ago
<apachelogger> nah, I only thought of it after the last released I did, so I told vorian to take care of it, if he gets a chance
<apachelogger> back then it was not critical though
<apachelogger> # strip translations from .desktop files if they have a gettext domain (since
<apachelogger> # inline translations are preferred)
<apachelogger> a) we make our kde4.mk not add the gettext domain (in case it even does, and we can influcene that at all)
<apachelogger> b) hook in before pkgstriptrainslations does and strip the gettext domain
<apachelogger> # add translation domain to files \
<apachelogger> for file in `cat LIST`; do \
<apachelogger> echo X-Ubuntu-Gettext-Domain=desktop_$${KUBUNTU_DESKTOP_POT} >> $${file}; \
<apachelogger> done; \
<apachelogger> from kde4.mk.in
<apachelogger> if removing the gettext-domain doesn't have any grave side-effects we should push cdbs
<apachelogger> and make the bug affect kde-l10n and lang-pack for the long-term "solution"

Changed in ubiquity (Ubuntu):
status: New → Invalid
Changed in language-pack-kde-es (Ubuntu):
assignee: nobody → echidnaman
importance: Undecided → Critical
milestone: none → ubuntu-9.04
status: New → Triaged
Changed in kde-l10n-es (Ubuntu):
assignee: nobody → apachelogger
importance: Undecided → Critical
status: New → In Progress
milestone: none → ubuntu-9.04
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde-l10n-es - 4:4.2.2-0ubuntu2

---------------
kde-l10n-es (4:4.2.2-0ubuntu2) jaunty; urgency=low

  * Fix debian/rules to use KDE 4 l10n (LP: #355814)

 -- Harald Sitter <email address hidden> Tue, 07 Apr 2009 11:48:27 +0200

Changed in kde-l10n-es (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Jonathan Thomas (echidnaman) wrote :

Riddell seems to be taking care of this stuff, so reassigning. :)

Changed in language-pack-kde-es (Ubuntu):
assignee: Jonathan Thomas (echidnaman) → Jonathan Riddell (jr)
Revision history for this message
marilynlegran@gmail.com (marilynlegran) wrote :

After update today the problem has improved. The system settings is translated, but some applications mix sections translated with others that follow in English. For example, in almost all the applications of Kde "quit" remain in English, also almost all the options that show in "edit". The bar of options of Dolphin and other aplications also remains in English.

Revision history for this message
Solo0815 (triple-x) wrote :

Its' the same with the german language. Many items are in english. The systemlanguage is set to "german". kde-l10n-de is also installed.

Last update today @ 10am (german time)

Revision history for this message
Albert Astals Cid (aacid) wrote :

The bug says fix released, but it's not true, this is still a problem, anyone knows how to reopen a bug?

Revision history for this message
Steve Langasek (vorlon) wrote :

Marked bug #360491 as a duplicate of this one.

Asking on IRC for more details, I was given the following examples:

07:09 < Quintasan> slangasek: in my case I have "BitTorrent Client (KTorrent)" and under it "Odtwarzacz audio (Amarok)"
07:11 < Quintasan> slangasek: even date under my clock applet is in english and I have only polish lang pack installed :D

08:35 < Tonio_> slangasek: in the standard menu, File, Edit, Settings and Help are not translated for me.... the other ones (generally application specific) are

Bug #360491 was assigned to kde4libs, but I can't see where either of these strings would originate with kde4libs; perhaps the same problem affects other source packages, which still need to be updated to generate proper .pot files at build time?

Changed in kde-l10n-es (Ubuntu Jaunty):
status: Fix Released → New
Revision history for this message
marilynlegran@gmail.com (marilynlegran) wrote :

Happens me the same that to Steve Langasek and besides in my system the days of the week, months, and all the concerning dates follows in English. Also follows in English almost always the options that appears with the right button of the mouse on the applications of Kde... Copy, Paste... Almost always follow in English.

Revision history for this message
kubunsero (jebefe) wrote :

Im in kubuntu 9.04 beta (Spanish languaje) with all updates installed and still the same bug that previous: days of week, months... and some options in contextual and others menus appears in English.

Changed in kde-l10n-es (Ubuntu Jaunty):
status: New → Confirmed
Revision history for this message
Treris (treris) wrote :

Same problem in Kubuntu Jaunty beta with the Dutch languagepack, although all the locales are set to dutch I still have an English system settings menu and various other bits that somehow still show up in English.

Revision history for this message
Ugra Dániel (daniel.ugra-deactivatedaccount) wrote :

Same for Hungarian. Although most strings seems to be translated (found in .mo files) they show up in English. For example, “&Translate This Application” shoud be “Alkalmazás fordí&tása”.

Strange, but with gettext from command line, I got correct results:

$ gettext -s -d kdelibs4 "&Translate This Application"
Alkalmazás fordí&tása

Revision history for this message
dan-linux (dan-linux) wrote :

Same problem in Kubuntu Jaunty beta with the German languagepack.

Revision history for this message
Arne Goetje (arnegoetje) wrote :

Does this still happen with the latest language-packs (1:9.04+20090410) ?

Revision history for this message
Dave Morley (davmor2) wrote :

Confirmed with french lang-pack
20090414.2

Revision history for this message
Andreas Wenning (andreas-wenning) wrote :

There is problems with some of the general strings in applications. Here are two examples from kate: http://imagebin.ca/view/Rl2c91.html and http://imagebin.ca/view/PPPFNO.html

Also the forward + back button is not translated; can be seen in all KDE applications.

This is with danish lang-packs:
language-pack(|-kde)-da(|-base) is version 1:9.04+20090410

Discussed this in #kubuntu-devel and others could confirm same missing translations with french.

Revision history for this message
Steve Langasek (vorlon) wrote :

This is believed to be fixed in the latest upload of kde4libs. Changelog entry:

kde4libs (4:4.2.2-0ubuntu5) jaunty; urgency=low

  * Fix kubuntu_56_langpacks_desktop_files.diff so it uses the stock
    translation files, closes LP: #355814

 -- Jonathan Riddell <email address hidden> Wed, 15 Apr 2009 01:20:06 +0100

If you still see this bug after upgrading to the latest kde4libs (as included in the latest CD builds for kubuntu), please reopen, but I'm pretty sure this change fixes the problem.

Changed in language-pack-kde-es (Ubuntu Jaunty):
status: Triaged → Fix Released
affects: language-pack-kde-es (Ubuntu Jaunty) → kde4libs (Ubuntu Jaunty)
Changed in kde-l10n-es (Ubuntu Jaunty):
status: Confirmed → Invalid
Revision history for this message
Wolfgang Jeltsch (4cqncnl7) wrote :

aptitude

Revision history for this message
Wolfgang Jeltsch (4cqncnl7) wrote :

aptitude show kde4libs shows nothing. Is this a source package? What are the corresponding binary packages? kdelibs4 is not installed on my system. kdelibs5 has version 4:4.2.2-0ubuntu4 although I updated just a few minutes ago. Is version 4:4.2.2-0ubuntu5 not yet available?

Revision history for this message
Giovanni Masucci (gio-grifis) wrote :

the situation has improved for me (using italian language, before the latest update all system settings entries were in english) but some parts are still missing translation: for example the whole keyboard mapping section of system settings is still in english.

Revision history for this message
dan-linux (dan-linux) wrote :

I also had only updates for kdelibs5.
I still have problems in Kubuntu Jaunty beta with the German languagepack.
All my system-settings is still in english.

Revision history for this message
Giovanni Masucci (gio-grifis) wrote :

mmm the keyboard mapping section of system settings is fixed (in italian) by manually installing kde-l10n-it, but why is this required only for this part? and why isn't it installed by default?

Revision history for this message
Wolfgang Jeltsch (4cqncnl7) wrote :

I have upgraded to kdelibs5-4:4.2.2-0ubuntu5 now and the problem is *not* fixed. At least, entries in Kicker are still untranslated. I see “Web Browser”, “System Settings” and “File Manager” instead of the German “Webbrowser”, “Systemeinstellung” (or however it’s translated” and “Dateimanager”.

Revision history for this message
Solo0815 (triple-x) wrote :

It's not fixed.
kdelibs5-4:4.2.2-0ubuntu5 is installed. System-language set to german.

The left side-icons in kmail, Systemsettings, kpackagekit, Printer Configuration are untranslated. Gwenview and dragonplayer are translated for example. kicker descriptions are also untranslated, as Wolfgang Jentsch already said.

Revision history for this message
Arne Goetje (arnegoetje) wrote : Re: [Bug 355814] Re: [Kubuntu 9.04] Many items are in English while language is set to Spanish

Wolfgang Jeltsch wrote:
> I have upgraded to kdelibs5-4:4.2.2-0ubuntu5 now and the problem is
> *not* fixed. At least, entries in Kicker are still untranslated. I see
> “Web Browser”, “System Settings” and “File Manager” instead of the
> German “Webbrowser”, “Systemeinstellung” (or however it’s translated”
> and “Dateimanager”.
>

I'm afraid you would need to wait for the first language-pack update
after the Jaunty release to see any changes. The upload came too late to
make it into the final language-pack for Jaunty.

Revision history for this message
Matthias Klumpp (ximion) wrote :

To fix this bug for Jaunty it is only necessary to import the original .desktop files from KDE4 upstream. See http://bugs.launchpad.net/ubuntu/+bug/361270 for details.
This has nothing to do with missing translations. Or is it possible to translate .desktop-Files in Rosetta? If yes the problem can be solved with importing all upstream translations in Rosetta.

Revision history for this message
Albert Astals Cid (aacid) wrote :

No, it is not fixed, my kmail instead shows untranslated text that comes from .desktop files

Matthias Klumpp (ximion) on 2009-04-15
Changed in kde4libs (Ubuntu Jaunty):
status: Fix Released → Incomplete
Revision history for this message
Andreas Wenning (andreas-wenning) wrote :

After installing kde4libs 4:4.2.2-0ubuntu5 and logging out and in again it is definitely an improvement here. Almost all the missing translations are gone (the few left are possibly really untranslated strings).

Also all the kde programs in the kicker menu is translated correctly. This is using danish language.

Those still missing some translations please check that you have all relevant language packs installed for the language; in my case for danish that would be:
language-pack-da
language-pack-da-base
language-pack-kde-da
language-pack-kde-da-base

Revision history for this message
Wolfgang Jeltsch (4cqncnl7) wrote :

The corresponding packages for German are installed on my machine. Nevertheless, translations are missing. For example, certain Kicker entries and certain menu entries like “Translate this application” are in English.

Jonathan Riddell (jr) on 2009-04-16
Changed in kde4libs (Ubuntu Jaunty):
status: Incomplete → Fix Released
Revision history for this message
Jonathan Riddell (jr) wrote :

Setting to fix released. The original problem, .desktop files needing to use gettext translations, has been implemented in kdelibs. The second problem, applications not using kdelibs4.po translations, has also been released.

Some language packs do not have the necessary translation files for the .desktop translations. This sucks I know. I've opened bug 362229 for it. It'll get fixed in the first language-pack updates.

If people have other problems check you have the latest language packs installed and the latest kdelibs5 and log out and in again. Check in the language pack sources (e.g. kde-l10n-fr, language-pack-kde-fr-base, language-pack-kde-fr) that the string is question is actually translated. Then either comment on bug 362229 or open a new bug as appropriate. Thanks for your patience.

Revision history for this message
marilynlegran@gmail.com (marilynlegran) wrote :

The screen of configuration of the printers remains in English.

Thanks by your attention

Revision history for this message
Jonathan Riddell (jr) wrote :

system-config-printer-kde is developed by Kubuntu developers so is ahead of the version released with KDE meaning much of it hasn't been tranlated yet. You can translate it through launchpad here
https://translations.edge.launchpad.net/ubuntu/jaunty/+source/kdeadmin/+pots/system-config-printer-kde
or you can translate is in KDE trunk for KDE 4.3.

Revision history for this message
KAMiKAZOW (kamikazow) wrote :

Why should anybody translate that thing in Launchpad? You don't commit any translations upstream. You never have.

However: I just installed Jaunty off a daily CD image within VirtualBox (in German). There are still a few untranslated pieces. The problem reported by Giovanni Masucci five days ago (untranslated Regional & Language pref pane) is still there, as well as the Alt+Left shortcut in System Setting's toolbar. At least those two are definitely translated in upstream KDE.
Here's yet another documenting screenshot for you: http://www.flickr.com/photos/19616885@N00/3460206354/in/set-72157608562200171/

Revision history for this message
Matthias Klumpp (ximion) wrote :

It's fixed now! Please update your distribution, the update the System configuration (First select "English" and then "German"). The most strings are now translated.

Revision history for this message
Jonathan Riddell (jr) wrote :

"You don't commit any translations upstream" that is for the upstream translators to do, they are the only ones who can check it is up to their standards.

Revision history for this message
Jonathan Thomas (echidnaman) wrote :

A note on the trash config module. Placing the trash module inside Dolphin is actually a backport form trunk. The "Trash" string on the sidebar is the only string added by the patch, but apparently it didn't get translated for German in bzr. (It did for Spanish)

If you're curious, the "days" spinbox inside the trash config is actually an upstream bug: http://bugs.kde.org/show_bug.cgi?id=190313

KPackageKit (Add/Remove Programs) is also young software, and the lack of translation on its part is also an upstream issue. (We updated the translations from trunk a couple times after the 0.4 release, so we should have the very nearly latest translations)

Not quite sure about the Region and Language KCM, but apparently adding your language and hitting apply will fix that right up. (A bit of a workaround, yes...)

In any case, the translations issues are much less widespread now, and any further issues international users find should be filed as separate bug reports.

Revision history for this message
Treris (treris) wrote :

Just did a fresh install of jaunty (after removing all the kde settings and such. Now the systemsettings menu is translated to dutch where it wasn't before. I didn't even have to install kde-l10-nl package or anything. (I checked, it is not currently installed)

So the missing translations for systemsettings must have been caused somewhere in the kde settings?!?!?!

tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.